import request from '@/utils/request'

// 订单列表列表
export function listGET(query) {
  return request({
    url: '/xinrenli/order/list',
    method: 'get',
    params: query
  })
}
// 订单列表驳回
export function createPayPOST(data) {
  return request({
    url: '/xinrenli/order/createPay',
    method: 'post',
    data: data
  })
}
// 订单列表详情
export function particularsGET(query) {
  return request({
    url: '/xinrenli/order/particulars',
    method: 'get',
    params: query
  })
}
// 修改订单
export function editPOST(data) {
  return request({
    url: '/xinrenli/order/edit',
    method: 'post',
    data: data
  })
}
// 用户反馈列表
export function userFeedbackGET(query) {
  return request({
    url: '/xinrenli/userFeedback/list',
    method: 'get',
    params: query
  })
}
// 动态列表列表
export function articleGET(query) {
  return request({
    url: '/xinrenli/article/list',
    method: 'get',
    params: query
  })
}
// 动态列表新增
export function articlePOST(data) {
  return request({
    url: '/xinrenli/article',
    method: 'post',
    data: data
  })
}
// 动态列表详情
export function articlesGET(query) {
  return request({
    url: `/xinrenli/article/${query}`,
    method: 'get',
    // params: query
  })
}
// 动态列表修改
export function articlePUT(data) {
  return request({
    url: '/xinrenli/article',
    method: 'put',
    data: data
  })
}